body {
  --color-1: #29234B;
  --color-2: #3E4095;
  --color-3: #e5e6e8;
  --color-4: #ffffff;
  --color-5: #fefefe;
}

.menu {
  display: none;
}

.menu-burger-div {
  display: flex;
}

.menu-burger-div {
  justify-content: flex-end;
  align-items: center;
  padding: 0 20px 0 0;
}

.menu-burger {
  display: flex;
  justify-content: flex-end;
}

.menu {
  margin: 10px 0;
}

.menu-social {
  font-size: 15px;
  text-decoration: none;
  color: var(--color-5);
  margin-left: 10px;
}

.menu-social:active,
.menu-social:hover {
  color: var(--color-2);
}

.menu-btn {
  font-size: 15px;
  line-height: 15px;
  text-decoration: none;
  color: var(--color-5);
  background-color: var(--color-2);
  padding: 8px 12px;
  border-radius: 4rem;
}

.menu-btn:active,
.menu-btn:hover {
  color: var(--color-5);
  background-color: var(--color-2);
}

.menu-text {
  position: absolute
}

.menu-text .menu-list {
  padding-left: 0;
}

.menu-text .menu-list li {
  float: left;
  position: relative;
  list-style: none
}

.menu-text .menu-list li a {
  font-family: 'Poppins';
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 0.2rem;
  font-size: 13px;
  font-weight: 400;
  color: var(--color-1);
  margin-right: 20px;
  padding: 0 5px;
}

.menu-text .menu-list li a:hover {
  color: var(--color-2);
}

.menu-text .menu-list li .sub-menu {
  position: absolute;
  top: 25px;
  background-color: var(--color-2);
  width: max-content;
  padding: 10px 15px;
  z-index: 1000;
  display: none;
  border-left: solid 3px var(--color-2);
}

.menu-text .menu-list li:hover .sub-menu {
  display: block;
}

.menu-text .menu-list .sub-menu li {
  float: none;
  display: block;
  margin: 0;
}

.menu-text .menu-list .sub-menu li a:hover {
  font-weight: 600;
}

/* Menu Mobile */
.menu-toggle {
  display: grid;
  margin-left: 10px;
  cursor: pointer;
  align-items: end;
  justify-items: end;
}

.menu-toggle svg {
  width: 18px;
  height: auto;
  fill: var(--color-1);
}

.menu-section {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9998;
  width: 90%;
  max-width: 350px;
  height: 100vh;
  display: none;
  background-color: var(--color-1);
  transition-duration: 1.5s;
}

.menu-section.on {
  display: block;
}

.off {
  display: none;
}

.hamburger {
  padding: 0;
  font-family: "Poppins";
  list-style: none;
  margin: 3em 20px 0 20px;
  text-align: left;
}

.hamburger a {
  -moz-transition-duration: 0.5s;
  -o-transition-duration: 0.5s;
  -webkit-transition-duration: 0.5s;
  transition-duration: 0.5s;
  text-decoration: none;
  color: var(--color-5);
  font-size: 1.3em;
  line-height: 2rem;
  width: 100%;
  display: block;
}

.hamburger a {
  font-size: 1.1em;
}

.menu-section .menu-social {
  color: var(--color-5);
}
